Archived: Legacy NI-RIO and LabVIEW Version Compatibility

NI does not actively maintain this document.

This content provides support for older products and technology, so you may notice outdated links or obsolete information about operating systems or other relevant products.

Aperçu



This page shows supported versions of the Legacy NI-RIO hardware driver with LabVIEW development systems. Reference this information to ensure you install the correct version when upgrading or updating your system or software. Using incompatible versions may result in errors, missing LabVIEW palettes or functions, or devices and tasks failing to show up in NI Measurement & Automation Explorer (MAX).

Note that this article replaces KnowledgeBase 6OCE5IMY: Legacy NI-RIO and LabVIEW Version Compatibility. Some NI manuals may still reference the previous document. If you were redirected from the previous KnowledgeBase URL, please update your bookmarks accordingly.

Legacy NI-RIO and LabVIEW Version Compatibility

In the Downloads section at the bottom of this page, you can download a copy of this table, which may include older software versions.

Use this table to compare Legacy NI-RIO and LabVIEW Version
NI-RIO Version LabVIEW Version
2011 SP1 2011 2010 SP1 2010 2009 SP1 2009 8.6.1 8.6 8.5.1 8.5
4.1            
4.0            
3.6.1            
3.6            
3.5.1            
3.4              
3.3.1              
3.3              
3.2.1              
3.1.1                

Compatible